package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class EmblSeqPOATie
	extends EmblSeqPOA
{
	private EmblSeqOperations _delegate;

	private POA _poa;
	public EmblSeqPOATie(EmblSeqOperations delegate)
	{
		_delegate = delegate;
	}
	public EmblSeqPOATie(EmblSeqOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.EmblSeq _this()
	{
		return nsdb.EmblSeqHelper.narrow(_this_object());
	}
	public nsdb.EmblSeq _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.EmblSeqHelper.narrow(_this_object(orb));
	}
	public EmblSeqOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(EmblSeqOperations delegate)
	{
		_delegate = delegate;
	}
	public int getCountC()
	{
		return _delegate.getCountC();
	}

	public nsdb.NucFeature[] getNucFeatures() throws type.NoResult
	{
		return _delegate.getNucFeatures();
	}

	public int getCountA()
	{
		return _delegate.getCountA();
	}

	public nsdb.NucFeature[] getNucFeaturesByKey(java.lang.String key) throws type.NoResult,type.InvalidArgumentValue
	{
		return _delegate.getNucFeaturesByKey(key);
	}

	public type.DbXref[] getReferences() throws type.NoResult
	{
		return _delegate.getReferences();
	}

	public java.lang.String[] getKeywords() throws type.NoResult
	{
		return _delegate.getKeywords();
	}

	public int getLength()
	{
		return _delegate.getLength();
	}

	public java.lang.String getMoleculeType()
	{
		return _delegate.getMoleculeType();
	}

	public org.omg.CORBA.Any getAnySeq()
	{
		return _delegate.getAnySeq();
	}

	public type.DbXref[] getDbXrefs() throws type.NoResult
	{
		return _delegate.getDbXrefs();
	}

	public java.lang.String getTopology()
	{
		return _delegate.getTopology();
	}

	public int getEntryVersion()
	{
		return _delegate.getEntryVersion();
	}

	public nsdb.Location getReferenceLocation(java.lang.String reference_id) throws type.InvalidRelation,type.NoResult
	{
		return _delegate.getReferenceLocation(reference_id);
	}

	public int getCheckSum()
	{
		return _delegate.getCheckSum();
	}

	public java.lang.String getDescription() throws type.NoResult
	{
		return _delegate.getDescription();
	}

	public int getBioSeqVersion()
	{
		return _delegate.getBioSeqVersion();
	}

	public java.lang.String getBioSeqId()
	{
		return _delegate.getBioSeqId();
	}

	public java.lang.String getSubSeqByFeature(nsdb.NucFeature feature) throws type.InvalidRelation,nsdb.InexactLocation
	{
		return _delegate.getSubSeqByFeature(feature);
	}

	public java.lang.String[] getComments() throws type.NoResult
	{
		return _delegate.getComments();
	}

	public nsdb.Location getLocalLocation(nsdb.NucFeature nuc_feature) throws type.InvalidRelation
	{
		return _delegate.getLocalLocation(nuc_feature);
	}

	public java.lang.String[] getSecondaryIds()
	{
		return _delegate.getSecondaryIds();
	}

	public int getCountT()
	{
		return _delegate.getCountT();
	}

	public java.lang.String getSubSeq(int start, int end) throws type.IndexOutOfRange
	{
		return _delegate.getSubSeq(start,end);
	}

	public java.lang.String getEntryStatus()
	{
		return _delegate.getEntryStatus();
	}

	public int getCountG()
	{
		return _delegate.getCountG();
	}

	public java.lang.String getEntryName()
	{
		return _delegate.getEntryName();
	}

	public type.DbXref[] getOrganisms() throws type.NoResult
	{
		return _delegate.getOrganisms();
	}

	public type.Revision[] getRevisions()
	{
		return _delegate.getRevisions();
	}

	public java.lang.String getSeq()
	{
		return _delegate.getSeq();
	}

}
